Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.wml
Interface WMLMetaElement

All Known Implementing Classes:
  WMLMetaElementImpl

public interface WMLMetaElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

The meta element contains meta-info of an WML deck (Section 11.3.2, WAP WML Version 16-Jun-1999)

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLMetaElement.java,v 1.1 2000/04/23 18:07:44 david Exp $
Author:
  David Li
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getContent()`
`boolean` | `getForua()`
`java.lang.String` | `getHttpEquiv()`
`java.lang.String` | `getName()`
`java.lang.String` | `getScheme()`
`void` | `setContent(java.lang.String newValue)` 'content' attribute specifies the property value
`void` | `setForua(boolean newValue)` 'forua' attribute specifies whether a intermediate agent should remove this meta element.
`void` | `setHttpEquiv(java.lang.String newValue)` 'http-equiv' attribute indicates the property should be interpret as HTTP header.
`void` | `setName(java.lang.String newValue)` 'name' attribute specific the property name
`void` | `setScheme(java.lang.String newValue)` 'scheme' attribute specifies a form that may be used to interpret the property value

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue, setPrefix, supports`

Method Detail

### setName

    public void setName(java.lang.String newValue)

  'name' attribute specific the property name

### getName

    public java.lang.String getName()

### setHttpEquiv

    public void setHttpEquiv(java.lang.String newValue)

  'http-equiv' attribute indicates the property should be interpret as HTTP header.

### getHttpEquiv

    public java.lang.String getHttpEquiv()

### setForua

    public void setForua(boolean newValue)

  'forua' attribute specifies whether a intermediate agent should remove this meta element. A value of false means the intermediate agent must remove the element.

### getForua

    public boolean getForua()

### setScheme

    public void setScheme(java.lang.String newValue)

  'scheme' attribute specifies a form that may be used to interpret the property value

### getScheme

    public java.lang.String getScheme()

### setContent

    public void setContent(java.lang.String newValue)

  'content' attribute specifies the property value

### getContent

    public java.lang.String getContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD